#!/usr/bin/env python

import argparse
from sat import util


def main(args):
    print(args, '\n')

    if args.fiel_validar:
        util.fiel_validate(args)
        return

    util.download(args)

    return


def _process_command_line_arguments():
    parser = argparse.ArgumentParser(
        description='Descarga SAT')

    parser.add_argument('-fv', '--fiel-validar', default=False, action='store_true')
    help = 'Directorio de ubicación de la FIEL'
    parser.add_argument('-fd', '--fiel-dir', help=help, default='')
    help = "Nombre de la Fiel, el predeterminado es 'fiel'"
    parser.add_argument('-fn', '--fiel-nombre', help=help, default='fiel')

    return parser.parse_args()


if __name__ == '__main__':
    args = _process_command_line_arguments()
    main(args)
